/*------------------------------------------------------------------------------
 * ResultSet.h
 *----------------------------------------------------------------------------*/
/**
 * Copyright  Peter Wood, 2005
 * 
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at 
 *
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specificlanguage governing rights and  limitations under the License.
 * 
 * The Original Code is the FireRuby extension for the Ruby language.
 * 
 * The Initial Developer of the Original Code is Peter Wood. All Rights 
 * Reserved.
 *
 * @author  Peter Wood
 * @version 1.0
 */
#ifndef FIRERUBY_RESULT_SET_H
#define FIRERUBY_RESULT_SET_H

   /* Includes. */
   #ifndef IBASE_H_INCLUDED
      #include "ibase.h"
      #define IBASE_H_INCLUDED
   #endif
   
   #ifndef RUBY_H_INCLUDED
      #include "ruby.h"
      #define RUBY_H_INCLUDED
   #endif
   
   /* Type definitions. */
   typedef struct
   {
      isc_stmt_handle handle;
      XSQLDA          *output;
      int             exhausted;
      long            fetched;
      short           dialect;
      short           procedure_output_fetch_state;
      VALUE           transaction;
      /*char            sql[1000];*/
   } ResultsHandle;
   
   /* Function prototypes. */
   VALUE rb_result_set_new(VALUE, VALUE, VALUE, VALUE, VALUE);
   void rb_assign_transaction(VALUE, VALUE);
   void  resultSetFree(void *);
   void Init_ResultSet(VALUE);

#endif /* FIRERUBY_RESULT_SET_H */


